Subject: [RTG-DIR] RtgDir review: draft-ietf-pmol-metrics-framework-07.txt

From: Leeyoung <[email-masked]>
Date: Fri, 14 Jan 2011 21:31:37 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://www.ietf.org/iesg/directorate/routing.html

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-pmol-metrics-framework-07.txt
Reviewer: Young Lee
Review Date: 14 January 2011
Intended Status: BCP

Summary:
I have some minor concerns about this document that I think should be resolved before publication.

Comments:
Overall, this document is clearly written and easy to understand.

Major Issues:
No major issues found.

Minor Issues:
Section 1.1

It would be helpful for readers if you include some references for the statement: "The IETF is also actively involved....."

Section 1.1

It is not clear what "refers to" means in the paragraph that begins with "This document refers to a ....." Isn't Performance Metrics Entity what this document tries to implement?

Section 6.6

The statement "the Performance Metrics Entity be implemented" could be more specific. It will be good to summarize the scope of implementation. It was clear to me which parts to be implemented as part of Performance Metrics Entity from the document.

Nits:
Section 1
s/comparison/comparison.

Section 1

s/restricted/limited ("limited" may be a better choice of word than "restricted")

Globally

Either capitalize "performance metric" or use lower-case consistently throughout the document

Globally

Be consistent with the usage of double quotes around the title of RFC's your are referencing to. In some places, you used double quotes (E.g., "Guideline for ..." RFC 5706)  and in other places you did not use double quotes (E.g., RFC 4710, 3611).

---

From: Benoit Claise <[email-masked]>
Date: Mon, 17 Jan 2011 23:56:39 +0100

Hi Lee,

Thanks for your review.
>
> Hello,
>
> I have been selected as the Routing Directorate reviewer for this 
> draft. The Routing Directorate seeks to review all routing or 
> routing-related drafts as they pass through IETF last call and IESG 
> review. The purpose of the review is to provide assistance to the 
> Routing ADs. For more information about the Routing Directorate, 
> please see http://www.ietf.org/iesg/directorate/routing.html
>
> Although these comments are primarily for the use of the Routing ADs, 
> it would be helpful if you could consider them along with any other 
> IETF Last Call comments that you receive, and strive to resolve them 
> through discussion or by updating the draft.
>
> **Summary:**
> **Comments:**
> **Major Issues:**
> **Minor Issues:**
> It would be helpful for readers if you include some references for the 
> statement: "The IETF is also actively involved....."
>
Added the reference to TCP [RFC793] and SCTP [RFC4960]
>
> Section 1.1
>
> It is not clear what "refers to" means in the paragraph that begins 
> with "This document refers to a ....." Isn't Performance Metrics 
> Entity what this document tries to implement?
>
Yes.
Would the following solve your issue?
OLD:
                          This document refers to a Performance Metrics 
Entity, whose goal is
                          to advice and support the Performance Metric 
development at the IETF.
                          A recommendation about the Performance Metrics 
Entity is made
                          in Section 6.6.

NEW:
                         This document refers to the implementation of a 
Performance Metrics Entity, whose goal is
                          to advice and support the Performance Metric 
development at the IETF.
                          A recommendation about the Performance Metrics 
Entity is made
                          in Section 6.6.

> Section 6.6
>
> The statement "the Performance Metrics Entity be implemented" could be 
> more specific. It will be good to summarize the scope of 
> implementation. It was clear to me which parts to be implemented as 
> part of Performance Metrics Entity from the document.
>
What about "the Performance Metrics Entity be implemented (_according to 
this memo)"?_
> **Nits:**
Done.
> s/restricted/limited ("limited" may be a better choice of word than 
Done.
> Either capitalize "performance metric" or use lower-case consistently 
Capitalized, as this is specified in the terminology. Good catch.
>
> Globally
>
> Be consistent with the usage of double quotes around the title of 
> RFC's your are referencing to. In some places, you used double quotes 
> (E.g., "Guideline for ..." RFC 5706)  and in other places you did not 
> use double quotes (E.g., RFC 4710, 3611).
>
Done.

I keep a temp version with all the changes.

---

From: Leeyoung <[email-masked]>
Date: Tue, 18 Jan 2011 20:05:31 +0000

Hi Benoit,

Thanks. I am fine with your suggested changes. No more issues are pending.

Regards,
Young

________________________________
From: Benoit Claise [mailto:[email-masked]]
Sent: Monday, January 17, 2011 4:57 PM
To: Leeyoung
Cc: [email-masked]; [email-masked]; [email-masked]; me
Subject: Re: RtgDir review: draft-ietf-pmol-metrics-framework-07.txt

Hi Lee,

Thanks for your review.

Hello,

Summary:

Comments:

Major Issues:
No major issues found.

Minor Issues:
Section 1.1

Section 1.1

It is not clear what "refers to" means in the paragraph that begins with "This document refers to a ....." Isn't Performance Metrics Entity what this document tries to implement?
Yes.
Would the following solve your issue?
OLD:
                         This document refers to a Performance Metrics Entity, whose goal is
                         to advice and support the Performance Metric development at the IETF.
                         A recommendation about the Performance Metrics Entity is made
                         in Section 6.6.

NEW:
                        This document refers to the implementation of a Performance Metrics Entity, whose goal is
                         to advice and support the Performance Metric development at the IETF.
                         A recommendation about the Performance Metrics Entity is made
                         in Section 6.6.

Section 6.6

The statement "the Performance Metrics Entity be implemented" could be more specific. It will be good to summarize the scope of implementation. It was clear to me which parts to be implemented as part of Performance Metrics Entity from the document.
What about "the Performance Metrics Entity be implemented (according to this memo)"?

Nits:
Section 1
s/comparison/comparison.
Done.

Section 1

Globally

Globally

Done.